Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.ax25
Interface AX25FrameSource

All Known Implementing Classes:
  AX25Frame, BeaconData, FrameWrapper, ObjectReportSender, OpenTracMessage, SendableMessageWrapper, StatusData

    public interface AX25FrameSource

This interface specifies an object that can provide a fully-encoded AX.25 frame for transmission. The object will be queried whenever the transmission queue decides to transmit the message. The object is not required to return the same frame upon multiple queries (due to retransmissions, etc.); this allows for updating beacons with mobile stations, or doing proportional pathing.

Method Summary
`Connector` | `getConnector()` Specify the Connector this message should be transmitted through.
`AX25Frame[]` | `getFrames(boolean incrementXmtCount, byte protocolId, java.lang.String senderCallsign)` Get one or more AX25Frames of the data to transmit.
`int` | `getNumTransmitsBeforeDecay()` Get number of times frame will be retransmitted before inter-packet delay is increased.

Method Detail

### getFrames

    AX25Frame[] getFrames(boolean incrementXmtCount,
                          byte protocolId,
                          java.lang.String senderCallsign)

  Get one or more AX25Frames of the data to transmit.

  Parameters:
    `incrementXmtCount` - indicate whether the transmit counter (used to cycle through proportional pathing) should be incremented
    `protocolId` - indicate the protocol to generate this frame for (not relevant for digipeated frames); zero to indicate current protocol
    `senderCallsign` - String of local callsign sending this message (may be ignored if digipeating a message from another station)
  Returns:
    array of AX25Frame objects to transmit, or null indicating nothing to transmit in the specified protocol

### getNumTransmitsBeforeDecay

    int getNumTransmitsBeforeDecay()

  Get number of times frame will be retransmitted before inter-packet delay is increased.

  Returns:
    transmission count before interval increase

### getConnector

    Connector getConnector()

  Specify the Connector this message should be transmitted through.

  Returns:
    a specific Connector instance to transmit through, or null for all applicable ports (Connector.CAP_XMT_PACKET_DATA and not rejecting this specific packet [such as IGateConnectors shouldn't re-transmit something received from the IGate])
  See Also:
    `Connector.CAP_XMT_PACKET_DATA`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD